Subject: Re: [mile] ROLIE Data Model Enumeration

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Tue, 3 Jan 2017 16:18:15 +0000

Happy New Year to everyone!

+1. I think registering formats will be challenging and could slow down adopters.
I think it would be beneficial if the ROLIE draft included text for an example representation in section 6.2.3 though. The IODEFv2 XML schema could be one example.

Panos

From: mile [mailto:[email-masked]] On Behalf Of Banghart, Stephen A. (Fed)
Sent: Monday, December 12, 2016 11:01 AM
To: [email-masked]
Subject: [mile] ROLIE Data Model Enumeration

All,

The other issue discussed at the IETF 97 MILE meeting was the Enumeration and Registration of Data Models.

Data model enumeration/registration would involve requiring extension documents to register their supported data models for a given information type with IANA.

Pros:
■       Provides one location that lists all officially registered data formats.
Cons:
■       Requires document authors to choose (often arbitrarily!) and register data format namespaces
■       Registered identifiers don't help implementations understand data formats, and if chosen arbitrarily may not even help identify the format in a way that is meaningful to clients.
■       Provides no additional automation support.
■       Increases work load on extension authors
■       Extensions must provide IANA considerations section that specifies data model registration and perhaps an additional table for the data models.
■       Extensions must have a separate section describing the data model in addition to the IANA consideration

Proposal:
                Do not require data format registration in extension drafts. This does not preclude an extension from establishing a registry for supported data models if needed. Extension specifications may additionally discuss the data models intended to be used for a given information type. We believe this provides for adequate coverage of the model namespaces to be used in the extension specification, without requiring the extra burden of dealing with IANA considerations for models.

Any feedback on this proposal? I personally feel like requiring registration is not worth the price.

Thanks,
Stephen Banghart